package com.ym.mec.biz.event;

import org.springframework.context.ApplicationEvent;

import java.util.List;
import java.util.Set;

/**
 * @Author qnc99
 * @Date 2020/12/2 0002
 */
public class CourseStatusChangeEvent extends ApplicationEvent {

    private Set<Long> courseIds;

    public CourseStatusChangeEvent(Object source, Set<Long> courseIds) {
        super(source);
        this.courseIds = courseIds;
    }

    public Set<Long> getCourseIds() {
        return courseIds;
    }

    public void setCourseIds(Set<Long> courseIds) {
        this.courseIds = courseIds;
    }
}
